# comment out if not beta
#define betaver 0

# release for bumping
%define rel 1

%define libname %mklibname %{name} 1

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	2.9.0
Release:	%mkrel %{?betaver:0.%betaver.}%{rel}
License:	LGPLv2.1
URL: 		http://hyperrate.com/dir.php?eid=67
Group:		System/Internationalization
Source0:	http://hyperrate.com/gcin-source/%{name}-%{version}%{?betaver:.%betaver}.tar.xz
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	curl-devel
#Upstream disabled chewing support
#BuildRequires:	libchewing-devel
Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh
# ease upgrade
Conflicts:	%{libname} < 1.3.5-0.pre7
Obsoletes: 	%{_lib}gcin1 < 2.7.3-2

%description
gcin is a Chinese input method server for traditional Chinese.
It features a better GTK user interface.

%package	gtk2
Summary:	gtk2 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Conflicts:	gcin < 2.7.3-2

%description	gtk2
This is the gtk2 immodule support for gcin.

%package	gtk3
Summary:	gtk3 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk3
This is the gtk3 immodule support for gcin.

%package        qt4
Summary:        Qt4 immodule for gcin
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt4
This is the qt4 immodule support for gcin.

%package        qt5
Summary:        Qt5 immodule for gcin
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt5
This is the qt5 immodule support for gcin.

%package        anthy
Summary:        Anthy module for gcin
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Conflicts:	gcin < 2.7.6.1

%description    anthy
This is the anthy input method support for gcin.

%prep
%setup -q -n %{name}-%{version}%{?betaver:.%betaver}

%build
%define _disable_ld_no_undefined 1
%configure
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC" EXTRA_LDFLAGS="%{?ldflags}" CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%files anthy
%{_libdir}/gcin/anthy-module.so

%files
%doc AUTHORS COPYING Changelog.html README*
%{_bindir}/*
%{_datadir}/applications/gcin-tools.desktop
%{_datadir}/gcin
%{_iconsdir}/*
%{_libdir}/gcin/*

%files gtk2
%{_libdir}/gtk-2.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/immodules/*.so

%files qt4
%{qt4plugins}/inputmethods/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so


%changelog
* Thu Jun 04 2020 yochenhsieh <yochenhsieh> 2.9.0-1.mga8
+ Revision: 1590332
- New version 2.9.0

* Sat Feb 15 2020 umeabot <umeabot> 2.8.9-3.mga8
+ Revision: 1524594
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Mar 30 2019 umeabot <umeabot> 2.8.9-2.mga7
+ Revision: 1381808
- Qt5 Rebuild

* Thu Mar 14 2019 yochenhsieh <yochenhsieh> 2.8.9-1.mga7
+ Revision: 1376427
- New version 2.8.9

* Sun Mar 10 2019 wally <wally> 2.8.8-2.mga7
+ Revision: 1373728
- handle updating gtk immodules cache with transfiletriggers

* Tue Dec 11 2018 yochenhsieh <yochenhsieh> 2.8.8-1.mga7
+ Revision: 1340257
- New version 2.8.8

* Sun Sep 23 2018 umeabot <umeabot> 2.8.5-3.mga7
+ Revision: 1297834
- Mageia 7 Mass Rebuild

* Mon Oct 16 2017 cjw <cjw> 2.8.5-2.mga7
+ Revision: 1172274
- drop unused find_lang call
- patch2: fix qt5 build

* Tue Feb 07 2017 yochenhsieh <yochenhsieh> 2.8.5-1.mga6
+ Revision: 1085078
- New version 2.8.5

* Tue Mar 22 2016 yochenhsieh <yochenhsieh> 2.8.4-3.mga6
+ Revision: 994086
- fix auto-rebuild
- disable appindicator
- re-add immodule update-cache
+ luigiwalser <luigiwalser>
- try opensuse patches to fix qt5 build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 yochenhsieh <yochenhsieh> 2.8.4-2.mga6
+ Revision: 889228
- Build QT5 input method module

* Sat Oct 10 2015 yochenhsieh <yochenhsieh> 2.8.4-1.mga6
+ Revision: 889219
- New version 2.8.4

* Sun Jul 05 2015 yochenhsieh <yochenhsieh> 2.8.3-2.mga6
+ Revision: 850903
- Add BuildRequires libappindicator-devel

* Wed Dec 24 2014 yochenhsieh <yochenhsieh> 2.8.3-1.mga5
+ Revision: 805211
- New version 2.8.3

* Wed Oct 15 2014 umeabot <umeabot> 2.8.2-5.mga5
+ Revision: 746846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.2-4.mga5
+ Revision: 679441
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Jul 20 2014 colin <colin> 2.8.2-3.mga5
+ Revision: 654751
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 2.8.2-2.mga5
+ Revision: 620374
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Wed Apr 09 2014 yochenhsieh <yochenhsieh> 2.8.2-1.mga5
+ Revision: 612986
- New version 2.8.2

* Sat Oct 19 2013 umeabot <umeabot> 2.8.1-2.mga4
+ Revision: 530594
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- cleanup spec

* Thu Jul 11 2013 yochenhsieh <yochenhsieh> 2.8.1-1.mga4
+ Revision: 452850
- New version release 2.8.1

* Mon Feb 18 2013 yochenhsieh <yochenhsieh> 2.8.0-1.mga3
+ Revision: 399019
- New version 2.8.0

* Fri Jan 11 2013 umeabot <umeabot> 2.7.9-3.mga3
+ Revision: 351106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.7.9-2.mga3
+ Revision: 333745
- br libxtst
+ yochenhsieh <yochenhsieh>
- New version 2.7.9
  Upstream disabled libchewing support

* Wed Jul 18 2012 yochenhsieh <yochenhsieh> 2.7.8-1.mga3
+ Revision: 272220
- Upload source tarball, sync sha1.lst
- New version 2.7.8

* Sat Jun 02 2012 fwang <fwang> 2.7.6.1-2.mga3
+ Revision: 253413
- add conflicts to eas upgarde

* Tue May 29 2012 yochenhsieh <yochenhsieh> 2.7.6.1-1.mga3
+ Revision: 248946
- Split anthy & chewing module as sub-pacakges.
- New version 2.7.6.1

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 2.7.5-2.mga2
+ Revision: 231296
- Remove Suggests on qt4 immodule, let localedrake to handle it.

* Mon Mar 05 2012 yochenhsieh <yochenhsieh> 2.7.5-1.mga2
+ Revision: 218367
- New Version 2.7.5
- New version 2.7.4

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 2.7.3-2.mga2
+ Revision: 209707
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules
- Modify Obsoletes & add Conflicts for gtk2 immodule
- Update License (LGPLv2.1)
- Builds gtk2 im module package
  Combine lib files into main package, don't build libgcin
- Suggests gtk2 & gtk3 im modules install by default

* Mon Feb 13 2012 yochenhsieh <yochenhsieh> 2.7.3-1.mga2
+ Revision: 208323
- New version 2.7.3
- New version 2.7.2
- Add libchewing support

* Thu Jan 19 2012 yochenhsieh <yochenhsieh> 2.7.1-2.mga2
+ Revision: 198018
- clean up old patches
- new version 2.7.1

* Wed Jul 13 2011 fwang <fwang> 1.6.4-1.mga2
+ Revision: 123588
- new version 1.6.4

* Wed May 04 2011 fwang <fwang> 1.6.2-1.mga1
+ Revision: 94694
- buildroot not needed
- new version 1.6.2 (synched with mandriva)
+ ennael <ennael>
- new release, many bug fixes
  remove buildroot

* Wed Mar 23 2011 steletch <steletch> 1.5.6-1.mga1
+ Revision: 75967
- imported package gcin

